summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xbuild3
-rwxr-xr-xsrc/etc/init.d/httpd22
2 files changed, 24 insertions, 1 deletions
diff --git a/build b/build
index 7306ecd..8b590aa 100755
--- a/build
+++ b/build
@@ -46,7 +46,8 @@ basefiles.buildstamp:
ln -s ../init.d/hostname etc/rc.d/S04hostname && \
ln -s ../init.d/networking etc/rc.d/S05networking && \
ln -s ../init.d/syslog etc/rc.d/S06syslog && \
- ln -s ../init.d/telnetd etc/rc.d/S07telnetd
+ ln -s ../init.d/telnetd etc/rc.d/S07telnetd && \
+ ln -s ../init.d/httpd etc/rc.d/S08httpd
cd dest/etc/network && \
mkdir if-down.d if-post-down.d if-pre-up.d if-up.d
oh-installfiles $(PKGS)
diff --git a/src/etc/init.d/httpd b/src/etc/init.d/httpd
new file mode 100755
index 0000000..6a3045d
--- /dev/null
+++ b/src/etc/init.d/httpd
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+case "${1}" in
+ start)
+ printf 'Starting httpd...'
+ start-stop-daemon -S -q -n httpd -x httpd -- -h /var/www
+ printf 'done.'
+ ;;
+ stop)
+ printf 'Stopping httpd... '
+ start-stop-daemon -K -q -n httpd
+ printf 'done.'
+ ;;
+ restart)
+ "${0}" stop
+ "${0}" start
+ ;;
+ *)
+ printf 'Usage: %s {start|stop|restart}\n' "${0}"
+ exit 1
+ ;;
+esac